Skip to main content
GET
List immutable evaluation verdicts

Authorizations

Authorization
string
header
required

A Recursion API key, created in the console under API keys.

Query Parameters

target_session_id
string<uuid>

Narrow to one target session. Unknown, deleted-without-history, and cross-organization ids return 404.

target_agent_id
string<uuid>

Narrow to verdicts for one target agent. Retained same-organization history remains readable after deletion.

evaluator_agent_id
string<uuid>

Narrow to verdicts produced by one evaluator agent. Retained same-organization history remains readable after deletion.

run_session_id
string<uuid>

Narrow to one evaluation run, by the run_session_id listEvaluationRuns returns.

limit
integer
default:50

Maximum verdicts to return. Defaults to 50.

Required range: 1 <= x <= 100
page_token
string

Opaque signed continuation from next_page_token. It is bound to this organization, filters, and effective limit and expires after one hour.

Response

One organization-scoped page of immutable evaluation verdicts and an optional continuation.

One organization-scoped page of immutable evaluation verdicts and an optional continuation.

evaluations
object[]
required

Newest-first immutable evaluation verdicts for this page.

next_page_token
string

Signed one-hour continuation bound to the organization, filters, and effective limit.